Download it now!
Bug 90828 - FILESAVE : Unable to save .xlsx with underline color for text inside textbox
Summary: FILESAVE : Unable to save .xlsx with underline color for text inside textbox
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-24 10:12 UTC by Priyanka Gaikwad
Modified: 2016-12-04 23:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Original file (9.38 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-04-24 10:12 UTC, Priyanka Gaikwad
Details
test results (33.99 KB, application/pdf)
2015-04-24 15:52 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2015-04-24 10:12:55 UTC
Created attachment 115050 [details]
Original file

Steps to reproduce
1) Create calc file in LibreOffice add textbox apply underline with color
2) Save it as .xlsx
3) Open saved file in Excel 2013

Current behavior:
After RT text underline color was not exported

Expected behaviour:
After RT text underline color should export

In calc there is no export support for <a:uFill>
Comment 1 raal 2015-04-24 15:52:17 UTC
Created attachment 115069 [details]
test results

I can confirm with Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-22_01:28:24
Comment 2 A (Andy) 2015-04-24 20:51:52 UTC
Reproducible with LO 4.4.1.2, Win 8.1

XLSX:
With older Excel-Software the saved xlsx is not opened.  If opened again in LO the underline colour is changed to blue.

XLS:
If the file is saved as a xls-file and opened with an older Excel-Software the underline colour is changed to blue.  If it is opened again in LO the underline colour is also changed to blue.
-> also for xls files reproducible
Comment 3 Commit Notification 2015-05-09 19:57:14 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24be7ef5887ec3598b3b34cb4fccff17ed6e1106

tdf#90828 FILESAVE:XLSX export of underline color for text inside textbox

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.